Bug 1202105 - Unable to work with Canon EOS Rebel images using darktable 1.6
Summary: Unable to work with Canon EOS Rebel images using darktable 1.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: darktable
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-15 13:34 UTC by Zirneklitis
Modified: 2015-04-05 14:35 UTC (History)
2 users (show)

Fixed In Version: darktable-1.6.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 07:02:43 UTC


Attachments (Terms of Use)
A photo taken with “Canon EOS DIGITAL REBEL” (5.52 MB, image/x-canon-crw)
2015-03-15 13:34 UTC, Zirneklitis
no flags Details

Description Zirneklitis 2015-03-15 13:34:38 UTC
Created attachment 1001947 [details]
A photo taken with  “Canon EOS DIGITAL REBEL”

Description of problem:

An infinity process is started when a photo from “Canon EOS DIGITAL REBEL” is opened in Darktable darkroom. 


Version-Release number of selected component (if applicable):

1.6.3-1


How reproducible:

100%


Steps to Reproduce:
1. Open any CRW image taken with “Canon EOS DIGITAL REBEL”
2. Switch to darkroom.


Actual results:

A Never-ending message "Working..." 


Expected results:

A photo should be opened in the darkroom.


Additional info:

Next time the attempt to open the same photo results in a marked as unreadable image in the ligthtable.
There was no such problems with Darktable 1.2.3.

Comment 1 Germano Massullo 2015-03-15 23:41:36 UTC
It has been fixed in upstream
When 1.6.4 comes out the camera will work again.
http://www.darktable.org/redmine/issues/10370

Comment 2 Fedora Update System 2015-03-23 16:01:05 UTC
darktable-1.6.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/darktable-1.6.3-2.fc20

Comment 3 Fedora Update System 2015-03-23 16:01:17 UTC
darktable-1.6.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/darktable-1.6.3-2.fc21

Comment 4 Fedora Update System 2015-03-23 16:01:23 UTC
darktable-1.6.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/darktable-1.6.3-2.fc22

Comment 5 Fedora Update System 2015-03-26 21:39:14 UTC
Package darktable-1.6.3-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing darktable-1.6.3-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4543/darktable-1.6.3-2.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-30 07:02:43 UTC
darktable-1.6.3-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-05 14:32:31 UTC
darktable-1.6.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-05 14:35:25 UTC
darktable-1.6.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.